oc_jpegencode 1.0 JPEGencoder

Static Public Member Functions | Public Attributes | List of all members
y_huff Module Reference
Inheritance diagram for y_huff:
[legend]

## Static Public Member Functions

## Always Constructs
ALWAYS_361 | ( clk )
ALWAYS_362 | ( clk )
ALWAYS_363 | ( clk )
ALWAYS_364 | ( clk )
ALWAYS_365 | ( clk )
ALWAYS_366 | ( clk )
ALWAYS_367 | ( clk )
ALWAYS_368 | ( clk )
ALWAYS_369 | ( clk )
ALWAYS_370 | ( clk )
ALWAYS_371 | ( clk )
ALWAYS_372 | ( clk )
ALWAYS_373 | ( clk )
ALWAYS_374 | ( clk )
ALWAYS_375 | ( clk )
ALWAYS_376 | ( clk )
ALWAYS_377 | ( clk )
ALWAYS_378 | ( clk )
ALWAYS_379 | ( clk )
ALWAYS_380 | ( clk )
ALWAYS_381 | ( clk )
ALWAYS_382 | ( clk )
ALWAYS_383 | ( clk )
ALWAYS_384 | ( clk )
ALWAYS_385 | ( clk )
ALWAYS_386 | ( clk )
ALWAYS_387 | ( clk )
ALWAYS_388 | ( clk )
ALWAYS_389 | ( clk )
ALWAYS_390 | ( clk )
ALWAYS_391 | ( clk )
ALWAYS_392 | ( clk )
ALWAYS_393 | ( clk )
ALWAYS_394 | ( clk )
ALWAYS_395 | ( clk )
ALWAYS_396 | ( clk )
ALWAYS_397 | ( clk )
ALWAYS_398 | ( clk )
ALWAYS_399 | ( clk )
ALWAYS_400 | ( clk )
ALWAYS_401 | ( clk )
ALWAYS_402 | ( clk )
ALWAYS_403 | ( clk )
ALWAYS_404 | ( clk )
ALWAYS_405 | ( clk )
ALWAYS_406 | ( clk )
ALWAYS_407 | ( clk )
ALWAYS_408 | ( clk )
ALWAYS_409 | ( clk )
ALWAYS_410 | ( clk )
ALWAYS_411 | ( clk )
ALWAYS_412 | ( clk )
ALWAYS_413 | ( clk )
ALWAYS_414 | ( clk )
ALWAYS_415 | ( clk )
ALWAYS_416 | ( clk )
ALWAYS_417 | ( clk )
ALWAYS_418 | ( clk )
ALWAYS_419 | ( clk )
ALWAYS_420 | ( clk )
ALWAYS_421 | ( clk )
ALWAYS_422 | ( clk )
ALWAYS_423 | ( clk )
ALWAYS_424 | ( clk )
ALWAYS_425 | ( clk )
ALWAYS_426 | ( clk )
ALWAYS_427 | ( clk )
ALWAYS_428 | ( clk )
ALWAYS_429 | ( clk )
ALWAYS_430 | ( clk )

## Public Attributes

## Inputs
clk |
rst |
enable |
Y11 | [ 10 : 0 ]
Y12 | [ 10 : 0 ]
Y13 | [ 10 : 0 ]
Y14 | [ 10 : 0 ]
Y15 | [ 10 : 0 ]
Y16 | [ 10 : 0 ]
Y17 | [ 10 : 0 ]
Y18 | [ 10 : 0 ]
Y21 | [ 10 : 0 ]
Y22 | [ 10 : 0 ]
Y23 | [ 10 : 0 ]
Y24 | [ 10 : 0 ]
Y25 | [ 10 : 0 ]
Y26 | [ 10 : 0 ]
Y27 | [ 10 : 0 ]
Y28 | [ 10 : 0 ]
Y31 | [ 10 : 0 ]
Y32 | [ 10 : 0 ]
Y33 | [ 10 : 0 ]
Y34 | [ 10 : 0 ]
Y35 | [ 10 : 0 ]
Y36 | [ 10 : 0 ]
Y37 | [ 10 : 0 ]
Y38 | [ 10 : 0 ]
Y41 | [ 10 : 0 ]
Y42 | [ 10 : 0 ]
Y43 | [ 10 : 0 ]
Y44 | [ 10 : 0 ]
Y45 | [ 10 : 0 ]
Y46 | [ 10 : 0 ]
Y47 | [ 10 : 0 ]
Y48 | [ 10 : 0 ]
Y51 | [ 10 : 0 ]
Y52 | [ 10 : 0 ]
Y53 | [ 10 : 0 ]
Y54 | [ 10 : 0 ]
Y55 | [ 10 : 0 ]
Y56 | [ 10 : 0 ]
Y57 | [ 10 : 0 ]
Y58 | [ 10 : 0 ]
Y61 | [ 10 : 0 ]
Y62 | [ 10 : 0 ]
Y63 | [ 10 : 0 ]
Y64 | [ 10 : 0 ]
Y65 | [ 10 : 0 ]
Y66 | [ 10 : 0 ]
Y67 | [ 10 : 0 ]
Y68 | [ 10 : 0 ]
Y71 | [ 10 : 0 ]
Y72 | [ 10 : 0 ]
Y73 | [ 10 : 0 ]
Y74 | [ 10 : 0 ]
Y75 | [ 10 : 0 ]
Y76 | [ 10 : 0 ]
Y77 | [ 10 : 0 ]
Y78 | [ 10 : 0 ]
Y81 | [ 10 : 0 ]
Y82 | [ 10 : 0 ]
Y83 | [ 10 : 0 ]
Y84 | [ 10 : 0 ]
Y85 | [ 10 : 0 ]
Y86 | [ 10 : 0 ]
Y87 | [ 10 : 0 ]
Y88 | [ 10 : 0 ]

## Outputs
JPEG_bitstream | [ 31 : 0 ]
data_ready |
output_reg_count | [ 4 : 0 ]
end_of_block_output |
end_of_block_empty |

## Signals
reg[ 7 : 0 ] | block_counter
reg[ 11 : 0 ] | Y11_amp
reg[ 11 : 0 ] | Y11_1_pos
reg[ 11 : 0 ] | Y11_1_neg
reg[ 11 : 0 ] | Y11_diff
reg[ 11 : 0 ] | Y11_previous
reg[ 11 : 0 ] | Y11_1
reg[ 10 : 0 ] | Y12_amp
reg[ 10 : 0 ] | Y12_pos
reg[ 10 : 0 ] | Y12_neg
reg[ 10 : 0 ] | Y21_pos
reg[ 10 : 0 ] | Y21_neg
reg[ 10 : 0 ] | Y31_pos
reg[ 10 : 0 ] | Y31_neg
reg[ 10 : 0 ] | Y22_pos
reg[ 10 : 0 ] | Y22_neg
reg[ 10 : 0 ] | Y13_pos
reg[ 10 : 0 ] | Y13_neg
reg[ 10 : 0 ] | Y14_pos
reg[ 10 : 0 ] | Y14_neg
reg[ 10 : 0 ] | Y15_pos
reg[ 10 : 0 ] | Y15_neg
reg[ 10 : 0 ] | Y16_pos
reg[ 10 : 0 ] | Y16_neg
reg[ 10 : 0 ] | Y17_pos
reg[ 10 : 0 ] | Y17_neg
reg[ 10 : 0 ] | Y18_pos
reg[ 10 : 0 ] | Y18_neg
reg[ 10 : 0 ] | Y23_pos
reg[ 10 : 0 ] | Y23_neg
reg[ 10 : 0 ] | Y24_pos
reg[ 10 : 0 ] | Y24_neg
reg[ 10 : 0 ] | Y25_pos
reg[ 10 : 0 ] | Y25_neg
reg[ 10 : 0 ] | Y26_pos
reg[ 10 : 0 ] | Y26_neg
reg[ 10 : 0 ] | Y27_pos
reg[ 10 : 0 ] | Y27_neg
reg[ 10 : 0 ] | Y28_pos
reg[ 10 : 0 ] | Y28_neg
reg[ 10 : 0 ] | Y32_pos
reg[ 10 : 0 ] | Y32_neg
reg[ 10 : 0 ] | Y33_pos
reg[ 10 : 0 ] | Y33_neg
reg[ 10 : 0 ] | Y34_pos
reg[ 10 : 0 ] | Y34_neg
reg[ 10 : 0 ] | Y35_pos
reg[ 10 : 0 ] | Y35_neg
reg[ 10 : 0 ] | Y36_pos
reg[ 10 : 0 ] | Y36_neg
reg[ 10 : 0 ] | Y37_pos
reg[ 10 : 0 ] | Y37_neg
reg[ 10 : 0 ] | Y38_pos
reg[ 10 : 0 ] | Y38_neg
reg[ 10 : 0 ] | Y41_pos
reg[ 10 : 0 ] | Y41_neg
reg[ 10 : 0 ] | Y42_pos
reg[ 10 : 0 ] | Y42_neg
reg[ 10 : 0 ] | Y43_pos
reg[ 10 : 0 ] | Y43_neg
reg[ 10 : 0 ] | Y44_pos
reg[ 10 : 0 ] | Y44_neg
reg[ 10 : 0 ] | Y45_pos
reg[ 10 : 0 ] | Y45_neg
reg[ 10 : 0 ] | Y46_pos
reg[ 10 : 0 ] | Y46_neg
reg[ 10 : 0 ] | Y47_pos
reg[ 10 : 0 ] | Y47_neg
reg[ 10 : 0 ] | Y48_pos
reg[ 10 : 0 ] | Y48_neg
reg[ 10 : 0 ] | Y51_pos
reg[ 10 : 0 ] | Y51_neg
reg[ 10 : 0 ] | Y52_pos
reg[ 10 : 0 ] | Y52_neg
reg[ 10 : 0 ] | Y53_pos
reg[ 10 : 0 ] | Y53_neg
reg[ 10 : 0 ] | Y54_pos
reg[ 10 : 0 ] | Y54_neg
reg[ 10 : 0 ] | Y55_pos
reg[ 10 : 0 ] | Y55_neg
reg[ 10 : 0 ] | Y56_pos
reg[ 10 : 0 ] | Y56_neg
reg[ 10 : 0 ] | Y57_pos
reg[ 10 : 0 ] | Y57_neg
reg[ 10 : 0 ] | Y58_pos
reg[ 10 : 0 ] | Y58_neg
reg[ 10 : 0 ] | Y61_pos
reg[ 10 : 0 ] | Y61_neg
reg[ 10 : 0 ] | Y62_pos
reg[ 10 : 0 ] | Y62_neg
reg[ 10 : 0 ] | Y63_pos
reg[ 10 : 0 ] | Y63_neg
reg[ 10 : 0 ] | Y64_pos
reg[ 10 : 0 ] | Y64_neg
reg[ 10 : 0 ] | Y65_pos
reg[ 10 : 0 ] | Y65_neg
reg[ 10 : 0 ] | Y66_pos
reg[ 10 : 0 ] | Y66_neg
reg[ 10 : 0 ] | Y67_pos
reg[ 10 : 0 ] | Y67_neg
reg[ 10 : 0 ] | Y68_pos
reg[ 10 : 0 ] | Y68_neg
reg[ 10 : 0 ] | Y71_pos
reg[ 10 : 0 ] | Y71_neg
reg[ 10 : 0 ] | Y72_pos
reg[ 10 : 0 ] | Y72_neg
reg[ 10 : 0 ] | Y73_pos
reg[ 10 : 0 ] | Y73_neg
reg[ 10 : 0 ] | Y74_pos
reg[ 10 : 0 ] | Y74_neg
reg[ 10 : 0 ] | Y75_pos
reg[ 10 : 0 ] | Y75_neg
reg[ 10 : 0 ] | Y76_pos
reg[ 10 : 0 ] | Y76_neg
reg[ 10 : 0 ] | Y77_pos
reg[ 10 : 0 ] | Y77_neg
reg[ 10 : 0 ] | Y78_pos
reg[ 10 : 0 ] | Y78_neg
reg[ 10 : 0 ] | Y81_pos
reg[ 10 : 0 ] | Y81_neg
reg[ 10 : 0 ] | Y82_pos
reg[ 10 : 0 ] | Y82_neg
reg[ 10 : 0 ] | Y83_pos
reg[ 10 : 0 ] | Y83_neg
reg[ 10 : 0 ] | Y84_pos
reg[ 10 : 0 ] | Y84_neg
reg[ 10 : 0 ] | Y85_pos
reg[ 10 : 0 ] | Y85_neg
reg[ 10 : 0 ] | Y86_pos
reg[ 10 : 0 ] | Y86_neg
reg[ 10 : 0 ] | Y87_pos
reg[ 10 : 0 ] | Y87_neg
reg[ 10 : 0 ] | Y88_pos
reg[ 10 : 0 ] | Y88_neg
reg[ 3 : 0 ] | Y11_bits_pos
reg[ 3 : 0 ] | Y11_bits_neg
reg[ 3 : 0 ] | Y11_bits
reg[ 3 : 0 ] | Y11_bits_1
reg[ 3 : 0 ] | Y12_bits_pos
reg[ 3 : 0 ] | Y12_bits_neg
reg[ 3 : 0 ] | Y12_bits
reg[ 3 : 0 ] | Y12_bits_1
reg[ 3 : 0 ] | Y12_bits_2
reg[ 3 : 0 ] | Y12_bits_3
reg | Y11_msb
reg | Y12_msb
reg | Y12_msb_1
reg | data_ready
reg | enable_1
reg | enable_2
reg | enable_3
reg | enable_4
reg | enable_5
reg | enable_6
reg | enable_7
reg | enable_8
reg | enable_9
reg | enable_10
reg | enable_11
reg | enable_12
reg | enable_13
reg | enable_module
reg | enable_latch_7
reg | enable_latch_8
reg | Y12_et_zero
reg | rollover
reg | rollover_1
reg | rollover_2
reg | rollover_3
reg | rollover_4
reg | rollover_5
reg | rollover_6
reg | rollover_7
reg | Y21_et_zero
reg | Y21_msb
reg | Y31_et_zero
reg | Y31_msb
reg | Y22_et_zero
reg | Y22_msb
reg | Y13_et_zero
reg | Y13_msb
reg | Y14_et_zero
reg | Y14_msb
reg | Y15_et_zero
reg | Y15_msb
reg | Y16_et_zero
reg | Y16_msb
reg | Y17_et_zero
reg | Y17_msb
reg | Y18_et_zero
reg | Y18_msb
reg | Y23_et_zero
reg | Y23_msb
reg | Y24_et_zero
reg | Y24_msb
reg | Y25_et_zero
reg | Y25_msb
reg | Y26_et_zero
reg | Y26_msb
reg | Y27_et_zero
reg | Y27_msb
reg | Y28_et_zero
reg | Y28_msb
reg | Y32_et_zero
reg | Y32_msb
reg | Y33_et_zero
reg | Y33_msb
reg | Y34_et_zero
reg | Y34_msb
reg | Y35_et_zero
reg | Y35_msb
reg | Y36_et_zero
reg | Y36_msb
reg | Y37_et_zero
reg | Y37_msb
reg | Y38_et_zero
reg | Y38_msb
reg | Y41_et_zero
reg | Y41_msb
reg | Y42_et_zero
reg | Y42_msb
reg | Y43_et_zero
reg | Y43_msb
reg | Y44_et_zero
reg | Y44_msb
reg | Y45_et_zero
reg | Y45_msb
reg | Y46_et_zero
reg | Y46_msb
reg | Y47_et_zero
reg | Y47_msb
reg | Y48_et_zero
reg | Y48_msb
reg | Y51_et_zero
reg | Y51_msb
reg | Y52_et_zero
reg | Y52_msb
reg | Y53_et_zero
reg | Y53_msb
reg | Y54_et_zero
reg | Y54_msb
reg | Y55_et_zero
reg | Y55_msb
reg | Y56_et_zero
reg | Y56_msb
reg | Y57_et_zero
reg | Y57_msb
reg | Y58_et_zero
reg | Y58_msb
reg | Y61_et_zero
reg | Y61_msb
reg | Y62_et_zero
reg | Y62_msb
reg | Y63_et_zero
reg | Y63_msb
reg | Y64_et_zero
reg | Y64_msb
reg | Y65_et_zero
reg | Y65_msb
reg | Y66_et_zero
reg | Y66_msb
reg | Y67_et_zero
reg | Y67_msb
reg | Y68_et_zero
reg | Y68_msb
reg | Y71_et_zero
reg | Y71_msb
reg | Y72_et_zero
reg | Y72_msb
reg | Y73_et_zero
reg | Y73_msb
reg | Y74_et_zero
reg | Y74_msb
reg | Y75_et_zero
reg | Y75_msb
reg | Y76_et_zero
reg | Y76_msb
reg | Y77_et_zero
reg | Y77_msb
reg | Y78_et_zero
reg | Y78_msb
reg | Y81_et_zero
reg | Y81_msb
reg | Y82_et_zero
reg | Y82_msb
reg | Y83_et_zero
reg | Y83_msb
reg | Y84_et_zero
reg | Y84_msb
reg | Y85_et_zero
reg | Y85_msb
reg | Y86_et_zero
reg | Y86_msb
reg | Y87_et_zero
reg | Y87_msb
reg | Y88_et_zero
reg | Y88_msb
reg | Y12_et_zero_1
reg | Y12_et_zero_2
reg | Y12_et_zero_3
reg | Y12_et_zero_4
reg | Y12_et_zero_5
reg[ 10 : 0 ] | Y_DC [ 11 : 0 ]
reg[ 3 : 0 ] | Y_DC_code_length [ 11 : 0 ]
reg[ 15 : 0 ] | Y_AC [ 161 : 0 ]
reg[ 4 : 0 ] | Y_AC_code_length [ 161 : 0 ]
reg[ 7 : 0 ] | Y_AC_run_code [ 250 : 0 ]
reg[ 10 : 0 ] | Y11_Huff
reg[ 10 : 0 ] | Y11_Huff_1
reg[ 10 : 0 ] | Y11_Huff_2
reg[ 15 : 0 ] | Y12_Huff
reg[ 15 : 0 ] | Y12_Huff_1
reg[ 15 : 0 ] | Y12_Huff_2
reg[ 3 : 0 ] | Y11_Huff_count
reg[ 3 : 0 ] | Y11_Huff_shift
reg[ 3 : 0 ] | Y11_Huff_shift_1
reg[ 3 : 0 ] | Y11_amp_shift
reg[ 3 : 0 ] | Y12_amp_shift
reg[ 3 : 0 ] | Y12_Huff_shift
reg[ 3 : 0 ] | Y12_Huff_shift_1
reg[ 3 : 0 ] | zero_run_length
reg[ 3 : 0 ] | zrl_1
reg[ 3 : 0 ] | zrl_2
reg[ 3 : 0 ] | zrl_3
reg[ 4 : 0 ] | Y12_Huff_count
reg[ 4 : 0 ] | Y12_Huff_count_1
reg[ 4 : 0 ] | output_reg_count
reg[ 4 : 0 ] | Y11_output_count
reg[ 4 : 0 ] | old_orc_1
reg[ 4 : 0 ] | old_orc_2
reg[ 4 : 0 ] | old_orc_3
reg[ 4 : 0 ] | old_orc_4
reg[ 4 : 0 ] | old_orc_5
reg[ 4 : 0 ] | old_orc_6
reg[ 4 : 0 ] | Y12_oc_1
reg[ 4 : 0 ] | orc_3
reg[ 4 : 0 ] | orc_4
reg[ 4 : 0 ] | orc_5
reg[ 4 : 0 ] | orc_6
reg[ 4 : 0 ] | orc_7
reg[ 4 : 0 ] | orc_8
reg[ 4 : 0 ] | Y12_output_count
reg[ 4 : 0 ] | Y12_edge
reg[ 4 : 0 ] | Y12_edge_1
reg[ 4 : 0 ] | Y12_edge_2
reg[ 4 : 0 ] | Y12_edge_3
reg[ 4 : 0 ] | Y12_edge_4
reg[ 31 : 0 ] | JPEG_bitstream
reg[ 31 : 0 ] | JPEG_bs
reg[ 31 : 0 ] | JPEG_bs_1
reg[ 31 : 0 ] | JPEG_bs_2
reg[ 31 : 0 ] | JPEG_bs_3
reg[ 31 : 0 ] | JPEG_bs_4
reg[ 31 : 0 ] | JPEG_bs_5
reg[ 31 : 0 ] | JPEG_Y12_bs
reg[ 31 : 0 ] | JPEG_Y12_bs_1
reg[ 31 : 0 ] | JPEG_Y12_bs_2
reg[ 31 : 0 ] | JPEG_Y12_bs_3
reg[ 31 : 0 ] | JPEG_Y12_bs_4
reg[ 31 : 0 ] | JPEG_ro_bs
reg[ 31 : 0 ] | JPEG_ro_bs_1
reg[ 31 : 0 ] | JPEG_ro_bs_2
reg[ 31 : 0 ] | JPEG_ro_bs_3
reg[ 31 : 0 ] | JPEG_ro_bs_4
reg[ 21 : 0 ] | Y11_JPEG_LSBs_3
reg[ 10 : 0 ] | Y11_JPEG_LSBs
reg[ 10 : 0 ] | Y11_JPEG_LSBs_1
reg[ 10 : 0 ] | Y11_JPEG_LSBs_2
reg[ 9 : 0 ] | Y12_JPEG_LSBs
reg[ 9 : 0 ] | Y12_JPEG_LSBs_1
reg[ 9 : 0 ] | Y12_JPEG_LSBs_2
reg[ 9 : 0 ] | Y12_JPEG_LSBs_3
reg[ 25 : 0 ] | Y11_JPEG_bits
reg[ 25 : 0 ] | Y11_JPEG_bits_1
reg[ 25 : 0 ] | Y12_JPEG_bits
reg[ 25 : 0 ] | Y12_JPEG_LSBs_4
reg[ 7 : 0 ] | Y12_code_entry
reg | third_8_all_0s
reg | fourth_8_all_0s
reg | fifth_8_all_0s
reg | sixth_8_all_0s
reg | seventh_8_all_0s
reg | eighth_8_all_0s
reg | end_of_block
reg | code_15_0
reg | zrl_et_15
reg | end_of_block_output
reg | end_of_block_empty
wire[ 7 : 0 ] | code_index

## Detailed Description

Definition at line 42 of file y_huff.v.

## Member Function Documentation

ALWAYS_361 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 164 of file y_huff.v.

ALWAYS_362 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 196 of file y_huff.v.

ALWAYS_363 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 214 of file y_huff.v.

ALWAYS_364 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 227 of file y_huff.v.

ALWAYS_365 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 243 of file y_huff.v.

ALWAYS_366 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 256 of file y_huff.v.

ALWAYS_367 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 289 of file y_huff.v.

ALWAYS_368 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 330 of file y_huff.v.

ALWAYS_369 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 341 of file y_huff.v.

ALWAYS_370 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 355 of file y_huff.v.

ALWAYS_371 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 369 of file y_huff.v.

ALWAYS_372 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 383 of file y_huff.v.

ALWAYS_373 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 398 of file y_huff.v.

ALWAYS_374 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 425 of file y_huff.v.

ALWAYS_375 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 450 of file y_huff.v.

ALWAYS_376 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 465 of file y_huff.v.

ALWAYS_377 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 479 of file y_huff.v.

ALWAYS_378 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 497 of file y_huff.v.

ALWAYS_379 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 512 of file y_huff.v.

ALWAYS_380 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 530 of file y_huff.v.

ALWAYS_381 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 545 of file y_huff.v.

ALWAYS_382 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 561 of file y_huff.v.

ALWAYS_383 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 572 of file y_huff.v.

ALWAYS_384 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 588 of file y_huff.v.

ALWAYS_385 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 599 of file y_huff.v.

ALWAYS_386 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 609 of file y_huff.v.

ALWAYS_387 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 622 of file y_huff.v.

ALWAYS_388 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 636 of file y_huff.v.

ALWAYS_389 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1213 of file y_huff.v.

ALWAYS_390 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1224 of file y_huff.v.

ALWAYS_391 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1254 of file y_huff.v.

ALWAYS_392 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1285 of file y_huff.v.

ALWAYS_393 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1313 of file y_huff.v.

ALWAYS_394 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1341 of file y_huff.v.

ALWAYS_395 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1351 of file y_huff.v.

ALWAYS_396 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1364 of file y_huff.v.

ALWAYS_397 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1374 of file y_huff.v.

ALWAYS_398 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1405 of file y_huff.v.

ALWAYS_399 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1934 of file y_huff.v.

ALWAYS_400 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1944 of file y_huff.v.

ALWAYS_401 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1954 of file y_huff.v.

ALWAYS_402 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1964 of file y_huff.v.

ALWAYS_403 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1974 of file y_huff.v.

ALWAYS_404 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1984 of file y_huff.v.

ALWAYS_405 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 1994 of file y_huff.v.

ALWAYS_406 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2004 of file y_huff.v.

ALWAYS_407 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2014 of file y_huff.v.

ALWAYS_408 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2024 of file y_huff.v.

ALWAYS_409 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2034 of file y_huff.v.

ALWAYS_410 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2044 of file y_huff.v.

ALWAYS_411 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2054 of file y_huff.v.

ALWAYS_412 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2064 of file y_huff.v.

ALWAYS_413 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2074 of file y_huff.v.

ALWAYS_414 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2084 of file y_huff.v.

ALWAYS_415 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2094 of file y_huff.v.

ALWAYS_416 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2104 of file y_huff.v.

ALWAYS_417 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2114 of file y_huff.v.

ALWAYS_418 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2124 of file y_huff.v.

ALWAYS_419 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2134 of file y_huff.v.

ALWAYS_420 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2144 of file y_huff.v.

ALWAYS_421 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2154 of file y_huff.v.

ALWAYS_422 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2164 of file y_huff.v.

ALWAYS_423 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2174 of file y_huff.v.

ALWAYS_424 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2184 of file y_huff.v.

ALWAYS_425 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2194 of file y_huff.v.

ALWAYS_426 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2204 of file y_huff.v.

ALWAYS_427 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2214 of file y_huff.v.

ALWAYS_428 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2224 of file y_huff.v.

ALWAYS_429 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2234 of file y_huff.v.

ALWAYS_430 | ( |  | clk
| ) |  |
| Always Construct

Definition at line 2244 of file y_huff.v.

## Member Data Documentation

clk
| Input

Definition at line 49 of file y_huff.v.

rst
| Input

Definition at line 50 of file y_huff.v.

enable
| Input

Definition at line 51 of file y_huff.v.

Y11 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y12 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y13 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y14 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y15 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y16 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y17 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y18 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y21 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y22 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y23 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y24 [ 10 : 0 ]
| Input

Definition at line 52 of file y_huff.v.

Y25 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y26 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y27 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y28 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y31 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y32 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y33 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y34 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y35 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y36 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y37 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y38 [ 10 : 0 ]
| Input

Definition at line 53 of file y_huff.v.

Y41 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y42 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y43 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y44 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y45 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y46 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y47 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y48 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y51 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y52 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y53 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y54 [ 10 : 0 ]
| Input

Definition at line 54 of file y_huff.v.

Y55 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y56 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y57 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y58 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y61 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y62 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y63 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y64 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y65 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y66 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y67 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y68 [ 10 : 0 ]
| Input

Definition at line 55 of file y_huff.v.

Y71 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y72 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y73 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y74 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y75 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y76 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y77 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y78 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y81 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y82 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y83 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y84 [ 10 : 0 ]
| Input

Definition at line 56 of file y_huff.v.

Y85 [ 10 : 0 ]
| Input

Definition at line 57 of file y_huff.v.

Y86 [ 10 : 0 ]
| Input

Definition at line 57 of file y_huff.v.

Y87 [ 10 : 0 ]
| Input

Definition at line 57 of file y_huff.v.

Y88 [ 10 : 0 ]
| Input

Definition at line 57 of file y_huff.v.

JPEG_bitstream [ 31 : 0 ]
| Output

Definition at line 58 of file y_huff.v.

data_ready
| Output

Definition at line 59 of file y_huff.v.

output_reg_count [ 4 : 0 ]
| Output

Definition at line 60 of file y_huff.v.

end_of_block_output
| Output

Definition at line 61 of file y_huff.v.

end_of_block_empty
| Output

Definition at line 62 of file y_huff.v.

block_counter
| Signal

Definition at line 64 of file y_huff.v.

Y11_amp
| Signal

Definition at line 65 of file y_huff.v.

Y11_1_pos
| Signal

Definition at line 65 of file y_huff.v.

Y11_1_neg
| Signal

Definition at line 65 of file y_huff.v.

Y11_diff
| Signal

Definition at line 65 of file y_huff.v.

Y11_previous
| Signal

Definition at line 66 of file y_huff.v.

Y11_1
| Signal

Definition at line 66 of file y_huff.v.

Y12_amp
| Signal

Definition at line 67 of file y_huff.v.

Y12_pos
| Signal

Definition at line 67 of file y_huff.v.

Y12_neg
| Signal

Definition at line 67 of file y_huff.v.

Y21_pos
| Signal

Definition at line 68 of file y_huff.v.

Y21_neg
| Signal

Definition at line 68 of file y_huff.v.

Y31_pos
| Signal

Definition at line 68 of file y_huff.v.

Y31_neg
| Signal

Definition at line 68 of file y_huff.v.

Y22_pos
| Signal

Definition at line 68 of file y_huff.v.

Y22_neg
| Signal

Definition at line 68 of file y_huff.v.

Y13_pos
| Signal

Definition at line 69 of file y_huff.v.

Y13_neg
| Signal

Definition at line 69 of file y_huff.v.

Y14_pos
| Signal

Definition at line 69 of file y_huff.v.

Y14_neg
| Signal

Definition at line 69 of file y_huff.v.

Y15_pos
| Signal

Definition at line 69 of file y_huff.v.

Y15_neg
| Signal

Definition at line 69 of file y_huff.v.

Y16_pos
| Signal

Definition at line 70 of file y_huff.v.

Y16_neg
| Signal

Definition at line 70 of file y_huff.v.

Y17_pos
| Signal

Definition at line 70 of file y_huff.v.

Y17_neg
| Signal

Definition at line 70 of file y_huff.v.

Y18_pos
| Signal

Definition at line 70 of file y_huff.v.

Y18_neg
| Signal

Definition at line 70 of file y_huff.v.

Y23_pos
| Signal

Definition at line 71 of file y_huff.v.

Y23_neg
| Signal

Definition at line 71 of file y_huff.v.

Y24_pos
| Signal

Definition at line 71 of file y_huff.v.

Y24_neg
| Signal

Definition at line 71 of file y_huff.v.

Y25_pos
| Signal

Definition at line 71 of file y_huff.v.

Y25_neg
| Signal

Definition at line 71 of file y_huff.v.

Y26_pos
| Signal

Definition at line 72 of file y_huff.v.

Y26_neg
| Signal

Definition at line 72 of file y_huff.v.

Y27_pos
| Signal

Definition at line 72 of file y_huff.v.

Y27_neg
| Signal

Definition at line 72 of file y_huff.v.

Y28_pos
| Signal

Definition at line 72 of file y_huff.v.

Y28_neg
| Signal

Definition at line 72 of file y_huff.v.

Y32_pos
| Signal

Definition at line 73 of file y_huff.v.

Y32_neg
| Signal

Definition at line 73 of file y_huff.v.

Y33_pos
| Signal

Definition at line 74 of file y_huff.v.

Y33_neg
| Signal

Definition at line 74 of file y_huff.v.

Y34_pos
| Signal

Definition at line 74 of file y_huff.v.

Y34_neg
| Signal

Definition at line 74 of file y_huff.v.

Y35_pos
| Signal

Definition at line 74 of file y_huff.v.

Y35_neg
| Signal

Definition at line 74 of file y_huff.v.

Y36_pos
| Signal

Definition at line 75 of file y_huff.v.

Y36_neg
| Signal

Definition at line 75 of file y_huff.v.

Y37_pos
| Signal

Definition at line 75 of file y_huff.v.

Y37_neg
| Signal

Definition at line 75 of file y_huff.v.

Y38_pos
| Signal

Definition at line 75 of file y_huff.v.

Y38_neg
| Signal

Definition at line 75 of file y_huff.v.

Y41_pos
| Signal

Definition at line 76 of file y_huff.v.

Y41_neg
| Signal

Definition at line 76 of file y_huff.v.

Y42_pos
| Signal

Definition at line 76 of file y_huff.v.

Y42_neg
| Signal

Definition at line 76 of file y_huff.v.

Y43_pos
| Signal

Definition at line 77 of file y_huff.v.

Y43_neg
| Signal

Definition at line 77 of file y_huff.v.

Y44_pos
| Signal

Definition at line 77 of file y_huff.v.

Y44_neg
| Signal

Definition at line 77 of file y_huff.v.

Y45_pos
| Signal

Definition at line 77 of file y_huff.v.

Y45_neg
| Signal

Definition at line 77 of file y_huff.v.

Y46_pos
| Signal

Definition at line 78 of file y_huff.v.

Y46_neg
| Signal

Definition at line 78 of file y_huff.v.

Y47_pos
| Signal

Definition at line 78 of file y_huff.v.

Y47_neg
| Signal

Definition at line 78 of file y_huff.v.

Y48_pos
| Signal

Definition at line 78 of file y_huff.v.

Y48_neg
| Signal

Definition at line 78 of file y_huff.v.

Y51_pos
| Signal

Definition at line 79 of file y_huff.v.

Y51_neg
| Signal

Definition at line 79 of file y_huff.v.

Y52_pos
| Signal

Definition at line 79 of file y_huff.v.

Y52_neg
| Signal

Definition at line 79 of file y_huff.v.

Y53_pos
| Signal

Definition at line 80 of file y_huff.v.

Y53_neg
| Signal

Definition at line 80 of file y_huff.v.

Y54_pos
| Signal

Definition at line 80 of file y_huff.v.

Y54_neg
| Signal

Definition at line 80 of file y_huff.v.

Y55_pos
| Signal

Definition at line 80 of file y_huff.v.

Y55_neg
| Signal

Definition at line 80 of file y_huff.v.

Y56_pos
| Signal

Definition at line 81 of file y_huff.v.

Y56_neg
| Signal

Definition at line 81 of file y_huff.v.

Y57_pos
| Signal

Definition at line 81 of file y_huff.v.

Y57_neg
| Signal

Definition at line 81 of file y_huff.v.

Y58_pos
| Signal

Definition at line 81 of file y_huff.v.

Y58_neg
| Signal

Definition at line 81 of file y_huff.v.

Y61_pos
| Signal

Definition at line 82 of file y_huff.v.

Y61_neg
| Signal

Definition at line 82 of file y_huff.v.

Y62_pos
| Signal

Definition at line 82 of file y_huff.v.

Y62_neg
| Signal

Definition at line 82 of file y_huff.v.

Y63_pos
| Signal

Definition at line 83 of file y_huff.v.

Y63_neg
| Signal

Definition at line 83 of file y_huff.v.

Y64_pos
| Signal

Definition at line 83 of file y_huff.v.

Y64_neg
| Signal

Definition at line 83 of file y_huff.v.

Y65_pos
| Signal

Definition at line 83 of file y_huff.v.

Y65_neg
| Signal

Definition at line 83 of file y_huff.v.

Y66_pos
| Signal

Definition at line 84 of file y_huff.v.

Y66_neg
| Signal

Definition at line 84 of file y_huff.v.

Y67_pos
| Signal

Definition at line 84 of file y_huff.v.

Y67_neg
| Signal

Definition at line 84 of file y_huff.v.

Y68_pos
| Signal

Definition at line 84 of file y_huff.v.

Y68_neg
| Signal

Definition at line 84 of file y_huff.v.

Y71_pos
| Signal

Definition at line 85 of file y_huff.v.

Y71_neg
| Signal

Definition at line 85 of file y_huff.v.

Y72_pos
| Signal

Definition at line 85 of file y_huff.v.

Y72_neg
| Signal

Definition at line 85 of file y_huff.v.

Y73_pos
| Signal

Definition at line 86 of file y_huff.v.

Y73_neg
| Signal

Definition at line 86 of file y_huff.v.

Y74_pos
| Signal

Definition at line 86 of file y_huff.v.

Y74_neg
| Signal

Definition at line 86 of file y_huff.v.

Y75_pos
| Signal

Definition at line 86 of file y_huff.v.

Y75_neg
| Signal

Definition at line 86 of file y_huff.v.

Y76_pos
| Signal

Definition at line 87 of file y_huff.v.

Y76_neg
| Signal

Definition at line 87 of file y_huff.v.

Y77_pos
| Signal

Definition at line 87 of file y_huff.v.

Y77_neg
| Signal

Definition at line 87 of file y_huff.v.

Y78_pos
| Signal

Definition at line 87 of file y_huff.v.

Y78_neg
| Signal

Definition at line 87 of file y_huff.v.

Y81_pos
| Signal

Definition at line 88 of file y_huff.v.

Y81_neg
| Signal

Definition at line 88 of file y_huff.v.

Y82_pos
| Signal

Definition at line 88 of file y_huff.v.

Y82_neg
| Signal

Definition at line 88 of file y_huff.v.

Y83_pos
| Signal

Definition at line 89 of file y_huff.v.

Y83_neg
| Signal

Definition at line 89 of file y_huff.v.

Y84_pos
| Signal

Definition at line 89 of file y_huff.v.

Y84_neg
| Signal

Definition at line 89 of file y_huff.v.

Y85_pos
| Signal

Definition at line 89 of file y_huff.v.

Y85_neg
| Signal

Definition at line 89 of file y_huff.v.

Y86_pos
| Signal

Definition at line 90 of file y_huff.v.

Y86_neg
| Signal

Definition at line 90 of file y_huff.v.

Y87_pos
| Signal

Definition at line 90 of file y_huff.v.

Y87_neg
| Signal

Definition at line 90 of file y_huff.v.

Y88_pos
| Signal

Definition at line 90 of file y_huff.v.

Y88_neg
| Signal

Definition at line 90 of file y_huff.v.

Y11_bits_pos
| Signal

Definition at line 91 of file y_huff.v.

Y11_bits_neg
| Signal

Definition at line 91 of file y_huff.v.

Y11_bits
| Signal

Definition at line 91 of file y_huff.v.

Y11_bits_1
| Signal

Definition at line 91 of file y_huff.v.

Y12_bits_pos
| Signal

Definition at line 92 of file y_huff.v.

Y12_bits_neg
| Signal

Definition at line 92 of file y_huff.v.

Y12_bits
| Signal

Definition at line 92 of file y_huff.v.

Y12_bits_1
| Signal

Definition at line 92 of file y_huff.v.

Y12_bits_2
| Signal

Definition at line 93 of file y_huff.v.

Y12_bits_3
| Signal

Definition at line 93 of file y_huff.v.

Y11_msb
| Signal

Definition at line 94 of file y_huff.v.

Y12_msb
| Signal

Definition at line 94 of file y_huff.v.

Y12_msb_1
| Signal

Definition at line 94 of file y_huff.v.

data_ready
| Signal

Definition at line 94 of file y_huff.v.

enable_1
| Signal

Definition at line 95 of file y_huff.v.

enable_2
| Signal

Definition at line 95 of file y_huff.v.

enable_3
| Signal

Definition at line 95 of file y_huff.v.

enable_4
| Signal

Definition at line 95 of file y_huff.v.

enable_5
| Signal

Definition at line 95 of file y_huff.v.

enable_6
| Signal

Definition at line 95 of file y_huff.v.

enable_7
| Signal

Definition at line 96 of file y_huff.v.

enable_8
| Signal

Definition at line 96 of file y_huff.v.

enable_9
| Signal

Definition at line 96 of file y_huff.v.

enable_10
| Signal

Definition at line 96 of file y_huff.v.

enable_11
| Signal

Definition at line 96 of file y_huff.v.

enable_12
| Signal

Definition at line 96 of file y_huff.v.

enable_13
| Signal

Definition at line 97 of file y_huff.v.

enable_module
| Signal

Definition at line 97 of file y_huff.v.

enable_latch_7
| Signal

Definition at line 97 of file y_huff.v.

enable_latch_8
| Signal

Definition at line 97 of file y_huff.v.

Y12_et_zero
| Signal

Definition at line 98 of file y_huff.v.

rollover
| Signal

Definition at line 98 of file y_huff.v.

rollover_1
| Signal

Definition at line 98 of file y_huff.v.

rollover_2
| Signal

Definition at line 98 of file y_huff.v.

rollover_3
| Signal

Definition at line 98 of file y_huff.v.

rollover_4
| Signal

Definition at line 99 of file y_huff.v.

rollover_5
| Signal

Definition at line 99 of file y_huff.v.

rollover_6
| Signal

Definition at line 99 of file y_huff.v.

rollover_7
| Signal

Definition at line 99 of file y_huff.v.

Y21_et_zero
| Signal

Definition at line 100 of file y_huff.v.

Y21_msb
| Signal

Definition at line 100 of file y_huff.v.

Y31_et_zero
| Signal

Definition at line 100 of file y_huff.v.

Y31_msb
| Signal

Definition at line 100 of file y_huff.v.

Y22_et_zero
| Signal

Definition at line 101 of file y_huff.v.

Y22_msb
| Signal

Definition at line 101 of file y_huff.v.

Y13_et_zero
| Signal

Definition at line 101 of file y_huff.v.

Y13_msb
| Signal

Definition at line 101 of file y_huff.v.

Y14_et_zero
| Signal

Definition at line 102 of file y_huff.v.

Y14_msb
| Signal

Definition at line 102 of file y_huff.v.

Y15_et_zero
| Signal

Definition at line 102 of file y_huff.v.

Y15_msb
| Signal

Definition at line 102 of file y_huff.v.

Y16_et_zero
| Signal

Definition at line 103 of file y_huff.v.

Y16_msb
| Signal

Definition at line 103 of file y_huff.v.

Y17_et_zero
| Signal

Definition at line 103 of file y_huff.v.

Y17_msb
| Signal

Definition at line 103 of file y_huff.v.

Y18_et_zero
| Signal

Definition at line 104 of file y_huff.v.

Y18_msb
| Signal

Definition at line 104 of file y_huff.v.

Y23_et_zero
| Signal

Definition at line 105 of file y_huff.v.

Y23_msb
| Signal

Definition at line 105 of file y_huff.v.

Y24_et_zero
| Signal

Definition at line 105 of file y_huff.v.

Y24_msb
| Signal

Definition at line 105 of file y_huff.v.

Y25_et_zero
| Signal

Definition at line 106 of file y_huff.v.

Y25_msb
| Signal

Definition at line 106 of file y_huff.v.

Y26_et_zero
| Signal

Definition at line 106 of file y_huff.v.

Y26_msb
| Signal

Definition at line 106 of file y_huff.v.

Y27_et_zero
| Signal

Definition at line 107 of file y_huff.v.

Y27_msb
| Signal

Definition at line 107 of file y_huff.v.

Y28_et_zero
| Signal

Definition at line 107 of file y_huff.v.

Y28_msb
| Signal

Definition at line 107 of file y_huff.v.

Y32_et_zero
| Signal

Definition at line 108 of file y_huff.v.

Y32_msb
| Signal

Definition at line 108 of file y_huff.v.

Y33_et_zero
| Signal

Definition at line 108 of file y_huff.v.

Y33_msb
| Signal

Definition at line 108 of file y_huff.v.

Y34_et_zero
| Signal

Definition at line 109 of file y_huff.v.

Y34_msb
| Signal

Definition at line 109 of file y_huff.v.

Y35_et_zero
| Signal

Definition at line 109 of file y_huff.v.

Y35_msb
| Signal

Definition at line 109 of file y_huff.v.

Y36_et_zero
| Signal

Definition at line 110 of file y_huff.v.

Y36_msb
| Signal

Definition at line 110 of file y_huff.v.

Y37_et_zero
| Signal

Definition at line 110 of file y_huff.v.

Y37_msb
| Signal

Definition at line 110 of file y_huff.v.

Y38_et_zero
| Signal

Definition at line 111 of file y_huff.v.

Y38_msb
| Signal

Definition at line 111 of file y_huff.v.

Y41_et_zero
| Signal

Definition at line 112 of file y_huff.v.

Y41_msb
| Signal

Definition at line 112 of file y_huff.v.

Y42_et_zero
| Signal

Definition at line 112 of file y_huff.v.

Y42_msb
| Signal

Definition at line 112 of file y_huff.v.

Y43_et_zero
| Signal

Definition at line 113 of file y_huff.v.

Y43_msb
| Signal

Definition at line 113 of file y_huff.v.

Y44_et_zero
| Signal

Definition at line 113 of file y_huff.v.

Y44_msb
| Signal

Definition at line 113 of file y_huff.v.

Y45_et_zero
| Signal

Definition at line 114 of file y_huff.v.

Y45_msb
| Signal

Definition at line 114 of file y_huff.v.

Y46_et_zero
| Signal

Definition at line 114 of file y_huff.v.

Y46_msb
| Signal

Definition at line 114 of file y_huff.v.

Y47_et_zero
| Signal

Definition at line 115 of file y_huff.v.

Y47_msb
| Signal

Definition at line 115 of file y_huff.v.

Y48_et_zero
| Signal

Definition at line 115 of file y_huff.v.

Y48_msb
| Signal

Definition at line 115 of file y_huff.v.

Y51_et_zero
| Signal

Definition at line 116 of file y_huff.v.

Y51_msb
| Signal

Definition at line 116 of file y_huff.v.

Y52_et_zero
| Signal

Definition at line 116 of file y_huff.v.

Y52_msb
| Signal

Definition at line 116 of file y_huff.v.

Y53_et_zero
| Signal

Definition at line 117 of file y_huff.v.

Y53_msb
| Signal

Definition at line 117 of file y_huff.v.

Y54_et_zero
| Signal

Definition at line 117 of file y_huff.v.

Y54_msb
| Signal

Definition at line 117 of file y_huff.v.

Y55_et_zero
| Signal

Definition at line 118 of file y_huff.v.

Y55_msb
| Signal

Definition at line 118 of file y_huff.v.

Y56_et_zero
| Signal

Definition at line 118 of file y_huff.v.

Y56_msb
| Signal

Definition at line 118 of file y_huff.v.

Y57_et_zero
| Signal

Definition at line 119 of file y_huff.v.

Y57_msb
| Signal

Definition at line 119 of file y_huff.v.

Y58_et_zero
| Signal

Definition at line 119 of file y_huff.v.

Y58_msb
| Signal

Definition at line 119 of file y_huff.v.

Y61_et_zero
| Signal

Definition at line 120 of file y_huff.v.

Y61_msb
| Signal

Definition at line 120 of file y_huff.v.

Y62_et_zero
| Signal

Definition at line 120 of file y_huff.v.

Y62_msb
| Signal

Definition at line 120 of file y_huff.v.

Y63_et_zero
| Signal

Definition at line 121 of file y_huff.v.

Y63_msb
| Signal

Definition at line 121 of file y_huff.v.

Y64_et_zero
| Signal

Definition at line 121 of file y_huff.v.

Y64_msb
| Signal

Definition at line 121 of file y_huff.v.

Y65_et_zero
| Signal

Definition at line 122 of file y_huff.v.

Y65_msb
| Signal

Definition at line 122 of file y_huff.v.

Y66_et_zero
| Signal

Definition at line 122 of file y_huff.v.

Y66_msb
| Signal

Definition at line 122 of file y_huff.v.

Y67_et_zero
| Signal

Definition at line 123 of file y_huff.v.

Y67_msb
| Signal

Definition at line 123 of file y_huff.v.

Y68_et_zero
| Signal

Definition at line 123 of file y_huff.v.

Y68_msb
| Signal

Definition at line 123 of file y_huff.v.

Y71_et_zero
| Signal

Definition at line 124 of file y_huff.v.

Y71_msb
| Signal

Definition at line 124 of file y_huff.v.

Y72_et_zero
| Signal

Definition at line 124 of file y_huff.v.

Y72_msb
| Signal

Definition at line 124 of file y_huff.v.

Y73_et_zero
| Signal

Definition at line 125 of file y_huff.v.

Y73_msb
| Signal

Definition at line 125 of file y_huff.v.

Y74_et_zero
| Signal

Definition at line 125 of file y_huff.v.

Y74_msb
| Signal

Definition at line 125 of file y_huff.v.

Y75_et_zero
| Signal

Definition at line 126 of file y_huff.v.

Y75_msb
| Signal

Definition at line 126 of file y_huff.v.

Y76_et_zero
| Signal

Definition at line 126 of file y_huff.v.

Y76_msb
| Signal

Definition at line 126 of file y_huff.v.

Y77_et_zero
| Signal

Definition at line 127 of file y_huff.v.

Y77_msb
| Signal

Definition at line 127 of file y_huff.v.

Y78_et_zero
| Signal

Definition at line 127 of file y_huff.v.

Y78_msb
| Signal

Definition at line 127 of file y_huff.v.

Y81_et_zero
| Signal

Definition at line 128 of file y_huff.v.

Y81_msb
| Signal

Definition at line 128 of file y_huff.v.

Y82_et_zero
| Signal

Definition at line 128 of file y_huff.v.

Y82_msb
| Signal

Definition at line 128 of file y_huff.v.

Y83_et_zero
| Signal

Definition at line 129 of file y_huff.v.

Y83_msb
| Signal

Definition at line 129 of file y_huff.v.

Y84_et_zero
| Signal

Definition at line 129 of file y_huff.v.

Y84_msb
| Signal

Definition at line 129 of file y_huff.v.

Y85_et_zero
| Signal

Definition at line 130 of file y_huff.v.

Y85_msb
| Signal

Definition at line 130 of file y_huff.v.

Y86_et_zero
| Signal

Definition at line 130 of file y_huff.v.

Y86_msb
| Signal

Definition at line 130 of file y_huff.v.

Y87_et_zero
| Signal

Definition at line 131 of file y_huff.v.

Y87_msb
| Signal

Definition at line 131 of file y_huff.v.

Y88_et_zero
| Signal

Definition at line 131 of file y_huff.v.

Y88_msb
| Signal

Definition at line 131 of file y_huff.v.

Y12_et_zero_1
| Signal

Definition at line 132 of file y_huff.v.

Y12_et_zero_2
| Signal

Definition at line 132 of file y_huff.v.

Y12_et_zero_3
| Signal

Definition at line 132 of file y_huff.v.

Y12_et_zero_4
| Signal

Definition at line 132 of file y_huff.v.

Y12_et_zero_5
| Signal

Definition at line 132 of file y_huff.v.

Y_DC [ 11 : 0 ]
| Signal

Definition at line 133 of file y_huff.v.

Y_DC_code_length [ 11 : 0 ]
| Signal

Definition at line 134 of file y_huff.v.

Y_AC [ 161 : 0 ]
| Signal

Definition at line 135 of file y_huff.v.

Y_AC_code_length [ 161 : 0 ]
| Signal

Definition at line 136 of file y_huff.v.

Y_AC_run_code [ 250 : 0 ]
| Signal

Definition at line 137 of file y_huff.v.

Y11_Huff
| Signal

Definition at line 138 of file y_huff.v.

Y11_Huff_1
| Signal

Definition at line 138 of file y_huff.v.

Y11_Huff_2
| Signal

Definition at line 138 of file y_huff.v.

Y12_Huff
| Signal

Definition at line 139 of file y_huff.v.

Y12_Huff_1
| Signal

Definition at line 139 of file y_huff.v.

Y12_Huff_2
| Signal

Definition at line 139 of file y_huff.v.

Y11_Huff_count
| Signal

Definition at line 140 of file y_huff.v.

Y11_Huff_shift
| Signal

Definition at line 140 of file y_huff.v.

Y11_Huff_shift_1
| Signal

Definition at line 140 of file y_huff.v.

Y11_amp_shift
| Signal

Definition at line 140 of file y_huff.v.

Y12_amp_shift
| Signal

Definition at line 140 of file y_huff.v.

Y12_Huff_shift
| Signal

Definition at line 141 of file y_huff.v.

Y12_Huff_shift_1
| Signal

Definition at line 141 of file y_huff.v.

zero_run_length
| Signal

Definition at line 141 of file y_huff.v.

zrl_1
| Signal

Definition at line 141 of file y_huff.v.

zrl_2
| Signal

Definition at line 141 of file y_huff.v.

zrl_3
| Signal

Definition at line 141 of file y_huff.v.

Y12_Huff_count
| Signal

Definition at line 142 of file y_huff.v.

Y12_Huff_count_1
| Signal

Definition at line 142 of file y_huff.v.

output_reg_count
| Signal

Definition at line 143 of file y_huff.v.

Y11_output_count
| Signal

Definition at line 143 of file y_huff.v.

old_orc_1
| Signal

Definition at line 143 of file y_huff.v.

old_orc_2
| Signal

Definition at line 143 of file y_huff.v.

old_orc_3
| Signal

Definition at line 144 of file y_huff.v.

old_orc_4
| Signal

Definition at line 144 of file y_huff.v.

old_orc_5
| Signal

Definition at line 144 of file y_huff.v.

old_orc_6
| Signal

Definition at line 144 of file y_huff.v.

Y12_oc_1
| Signal

Definition at line 144 of file y_huff.v.

orc_3
| Signal

Definition at line 145 of file y_huff.v.

orc_4
| Signal

Definition at line 145 of file y_huff.v.

orc_5
| Signal

Definition at line 145 of file y_huff.v.

orc_6
| Signal

Definition at line 145 of file y_huff.v.

orc_7
| Signal

Definition at line 145 of file y_huff.v.

orc_8
| Signal

Definition at line 145 of file y_huff.v.

Y12_output_count
| Signal

Definition at line 146 of file y_huff.v.

Y12_edge
| Signal

Definition at line 147 of file y_huff.v.

Y12_edge_1
| Signal

Definition at line 147 of file y_huff.v.

Y12_edge_2
| Signal

Definition at line 147 of file y_huff.v.

Y12_edge_3
| Signal

Definition at line 147 of file y_huff.v.

Y12_edge_4
| Signal

Definition at line 147 of file y_huff.v.

JPEG_bitstream
| Signal

Definition at line 148 of file y_huff.v.

JPEG_bs
| Signal

Definition at line 148 of file y_huff.v.

JPEG_bs_1
| Signal

Definition at line 148 of file y_huff.v.

JPEG_bs_2
| Signal

Definition at line 148 of file y_huff.v.

JPEG_bs_3
| Signal

Definition at line 148 of file y_huff.v.

JPEG_bs_4
| Signal

Definition at line 148 of file y_huff.v.

JPEG_bs_5
| Signal

Definition at line 148 of file y_huff.v.

JPEG_Y12_bs
| Signal

Definition at line 149 of file y_huff.v.

JPEG_Y12_bs_1
| Signal

Definition at line 149 of file y_huff.v.

JPEG_Y12_bs_2
| Signal

Definition at line 149 of file y_huff.v.

JPEG_Y12_bs_3
| Signal

Definition at line 149 of file y_huff.v.

JPEG_Y12_bs_4
| Signal

Definition at line 149 of file y_huff.v.

JPEG_ro_bs
| Signal

Definition at line 150 of file y_huff.v.

JPEG_ro_bs_1
| Signal

Definition at line 150 of file y_huff.v.

JPEG_ro_bs_2
| Signal

Definition at line 150 of file y_huff.v.

JPEG_ro_bs_3
| Signal

Definition at line 150 of file y_huff.v.

JPEG_ro_bs_4
| Signal

Definition at line 150 of file y_huff.v.

Y11_JPEG_LSBs_3
| Signal

Definition at line 151 of file y_huff.v.

Y11_JPEG_LSBs
| Signal

Definition at line 152 of file y_huff.v.

Y11_JPEG_LSBs_1
| Signal

Definition at line 152 of file y_huff.v.

Y11_JPEG_LSBs_2
| Signal

Definition at line 152 of file y_huff.v.

Y12_JPEG_LSBs
| Signal

Definition at line 153 of file y_huff.v.

Y12_JPEG_LSBs_1
| Signal

Definition at line 153 of file y_huff.v.

Y12_JPEG_LSBs_2
| Signal

Definition at line 153 of file y_huff.v.

Y12_JPEG_LSBs_3
| Signal

Definition at line 153 of file y_huff.v.

Y11_JPEG_bits
| Signal

Definition at line 154 of file y_huff.v.

Y11_JPEG_bits_1
| Signal

Definition at line 154 of file y_huff.v.

Y12_JPEG_bits
| Signal

Definition at line 154 of file y_huff.v.

Y12_JPEG_LSBs_4
| Signal

Definition at line 154 of file y_huff.v.

Y12_code_entry
| Signal

Definition at line 155 of file y_huff.v.

third_8_all_0s
| Signal

Definition at line 156 of file y_huff.v.

fourth_8_all_0s
| Signal

Definition at line 156 of file y_huff.v.

fifth_8_all_0s
| Signal

Definition at line 156 of file y_huff.v.

sixth_8_all_0s
| Signal

Definition at line 156 of file y_huff.v.

seventh_8_all_0s
| Signal

Definition at line 156 of file y_huff.v.

eighth_8_all_0s
| Signal

Definition at line 157 of file y_huff.v.

end_of_block
| Signal

Definition at line 157 of file y_huff.v.

code_15_0
| Signal

Definition at line 157 of file y_huff.v.

zrl_et_15
| Signal

Definition at line 157 of file y_huff.v.

end_of_block_output
| Signal

Definition at line 157 of file y_huff.v.

end_of_block_empty
| Signal

Definition at line 158 of file y_huff.v.

code_index
| Signal

Definition at line 160 of file y_huff.v.

The documentation for this Module was generated from the following files:

- code/y_huff.v